For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
      • Overview
      • List Clips
      • Get Clip
      • Update Clip
      • Delete Clip
      • Clip Timestamps
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
On this page
  • Example Request
  • Response
Projects & ClipsClips

Get Clip

Was this page helpful?
Previous

Update Clip

Next
Built with

GET https://app.resemble.ai/api/v2/projects/{project_uuid}/clips/{clip_uuid}

Example Request

$curl 'https://app.resemble.ai/api/v2/projects/PROJECT_UUID/clips/CLIP_UUID' \
> -H 'Authorization: Bearer YOUR_API_TOKEN'

Response

1{
2 "success": true,
3 "item": {
4 "uuid": "CLIP_UUID",
5 "title": "Intro",
6 "body": "Welcome to our show",
7 "voice_uuid": "VOICE_UUID",
8 "voice_name": "Professional Voice",
9 "is_archived": false,
10 "audio_src": "https://...",
11 "character_count": 20,
12 "duration": 2.5,
13 "last_generated_at": "2024-01-15T10:32:00Z",
14 "timestamps": {
15 "graph_chars": ["W", "e", "l", "c", "o", "m", "e"],
16 "graph_times": [[0, 120], [120, 240], ...],
17 "phon_chars": [],
18 "phon_times": []
19 },
20 "created_at": "2024-01-15T10:30:00Z",
21 "updated_at": "2024-01-15T10:32:00Z"
22 }
23}